> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Product

> This document outlines the APIs, workflow, and integration guidelines for foreign partners offering wallet-based top-ups (e.g., credits, diamonds, or tokens) to customers in India via Transact Bridge’s reseller/distribution infrastructure.

Transact Bridge acts as the reseller and fulfillment partner for international digital goods providers. This integration enables instant digital delivery of top-ups to Indian users using an automatic delivery system, automatic payment routing through Indian MOR, reconciliation, and transparent invoicing.

To ensure that the top-up is sent to the correct and valid user, this API is used to verify the end user’s account before processing the transaction. It checks whether the user exists on the merchant’s platform and can receive the selected top-up (SKU).

**Note**: If the validation is successful, the API returns an orderId (generated by CODA). This orderId must be included in the next step — the Request for Payment API — to proceed with the purchase.



## OpenAPI

````yaml /api-reference/distributions/distribution.json post /webstore/v1.0/validateProductTopupDetails
openapi: 3.0.3
info:
  title: Mandate API
  description: API's to add and get mandate information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /webstore/v1.0/validateProductTopupDetails:
    post:
      tags:
        - Distribution
      summary: Validate Product
      description: >-
        This document outlines the APIs, workflow, and integration guidelines
        for foreign partners offering wallet-based top-ups (e.g., credits,
        diamonds, or tokens) to customers in India via Transact Bridge’s
        reseller/distribution infrastructure.


        Transact Bridge acts as the reseller and fulfillment partner for
        international digital goods providers. This integration enables instant
        digital delivery of top-ups to Indian users using an automatic delivery
        system, automatic payment routing through Indian MOR, reconciliation,
        and transparent invoicing.


        To ensure that the top-up is sent to the correct and valid user, this
        API is used to verify the end user’s account before processing the
        transaction. It checks whether the user exists on the merchant’s
        platform and can receive the selected top-up (SKU).


        **Note**: If the validation is successful, the API returns an orderId
        (generated by CODA). This orderId must be included in the next step —
        the Request for Payment API — to proceed with the purchase.
      operationId: validateProduct
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - productReferenceId
              properties:
                productReferenceId:
                  type: string
                  description: Product Reference ID of the SKU
                userId:
                  type: string
                  description: >-
                    UserId of the customer, which checks if it exists on the
                    merchant’s platform, and can receive the selected top-up
                    (SKU)
      responses:
        '200':
          description: >-
            Contains the orderId and clientId to be used to create a payment
            session.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validateProduct'
components:
  schemas:
    validateProduct:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: >-
            Contains the orderId and clientId to be used to create a payment
            session.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.